edu.isi.pegasus.gridftp

## Class ListCommand

- java.lang.Object
- - edu.isi.pegasus.gridftp.Command
  - - edu.isi.pegasus.gridftp.ListCommand

    public class ListCommand
    extends Command

Implements the ls command for remote GridFTP servers

Author:
  Gideon Juve <juve@usc.edu>

### Field Summary

Fields
`private boolean` `dotfiles`
`private org.apache.commons.logging.Log` `logger`
`private boolean` `longFormat`

### Fields inherited from class edu.isi.pegasus.gridftp.Command

`connectionCache, credential`

### Constructor Summary

Constructors
Constructor and Description
`ListCommand(boolean longFormat, boolean dotfiles)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ListCommand` `fromArguments(java.util.List<java.lang.String> args)`
`protected void` `run(GridFTPURL url)`

### Methods inherited from class edu.isi.pegasus.gridftp.Command

`connect, execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    private org.apache.commons.logging.Log logger

#### longFormat

    private boolean longFormat

#### dotfiles

    private boolean dotfiles

### Constructor Detail

#### ListCommand

    public ListCommand(boolean longFormat,
                       boolean dotfiles)

### Method Detail

#### run

    protected void run(GridFTPURL url)
                throws java.net.ConnectException,
                       GridFTPException

Specified by:
  `run` in class `Command`
Parameters:
  `url` - The URL to operate on
Throws:
  `java.net.ConnectException`
  `GridFTPException`

#### fromArguments

    public static ListCommand fromArguments(java.util.List<java.lang.String> args)
                                     throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`